# Female First Names

> A [list][moby-word] of common female first names in English speaking countries.


<section class="usage">

## Usage

``` javascript
var names = require( '@stdlib/datasets/female-first-names-en' );
```

#### names()

Returns a [list][moby-word] of common female first names (also known as [given][given-name] or personal names) in English speaking countries.

``` javascript
var data = names();
/* returns
    [
        'Aaren',
        'Aarika',
        'Abagael',
        'Abagail',
        'Abbe',
        'Abbey',
        'Abbi',
        'Abbie',
        'Abby',
        ...
    ]
*/
```

</section>

<!-- /.usage -->


<section class="examples">

<!-- TODO: more creative example. -->

## Examples

``` javascript
var floor = require( '@stdlib/math/base/special/floor' );
var randu = require( '@stdlib/math/base/random/randu' );
var names = require( '@stdlib/datasets/female-first-names-en' );

var data = names();
var len = data.length;
var idx;
var i;

// Select random names from the list...
for ( i = 0; i < 100; i++ ) {
    idx = floor( randu()*len );
    console.log( data[ idx ] );
}
```

</section>

<!-- /.examples -->


---

<section class="cli">

## CLI

<section class="usage">

### Usage

``` bash
Usage: female-first-names-en [options]

Options:

  -h,    --help                Print this message.
  -V,    --version             Print the package version.
```

</section>

<!-- /.usage -->


<section class="examples">

### Examples

``` bash
$ female-first-names-en
Aaren
Aarika
Abagael
Abagail
...
```

</section>

<!-- /.examples -->

</section>

<!-- /.cli -->


---

<section class="references">

## References

* Ward, Grady. *Moby Word II*. 2002. [Project Gutenberg][moby-word]. Web. 27 July 2015.

</section>

<!-- /.references -->


<!-- <license> -->

## License

The data files (databases) are licensed under an [Open Data Commons Public Domain Dedication & License 1.0][pddl-1.0] and their contents are licensed under [Creative Commons Zero v1.0 Universal][cc0]. The software is licensed under [Apache License, Version 2.0][apache-license].

<!-- </license> -->


<section class="links">

[pddl-1.0]: http://opendatacommons.org/licenses/pddl/1.0/
[cc0]: https://creativecommons.org/publicdomain/zero/1.0
[apache-license]: https://www.apache.org/licenses/LICENSE-2.0

[given-name]: https://en.wikipedia.org/wiki/Given_name
[moby-word]: http://www.gutenberg.org/files/3201/3201.txt

</section>

<!-- /.links -->
